all:
  dense:
  deepfried:
  deepstrom:

base:
  epoch_numbers: {"-e": [100]}
  batch_sizes: {"-s": [64]}
  val_size: {"-v": [10000]}
  seed: {"-a": "range(1)"}
  quiet: ["-q"]
  data_size: {"-t":[50, 100, 200]}
  dataset: ["--svhn"]
  weights: {"-W": ["cifar100"]}
  batchnorm: ["-b"]
  cut_layer: {"-B": ["block3_pool"]}

dense:
  network: ["dense"]
  base:
  repr_dim: {"-D": [16, 64, 128, 1024]}

deepfried:
  network: ["deepfriedconvnet"]
  base:
  nbstacks: {"-N": [1, 3, 5, 7]}

deepstrom:
  network: ["deepstrom"]
  base:
  real_nys: ["-r", ""]
  nys_size: {"-m": [16, 64, 256, 512]}
  kernel: ["-L", "-R", "-C"]

